# $Revision: 1.20 $, $Date: 2007-05-10 15:11:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	SPF-Query
Summary:	Mail::SPF::Query - Perl implementation of SPF
Summary(pl.UTF-8):	Mail::SPF::Query - perlowa implementacja SPF
Name:		perl-Mail-SPF-Query
Version:	1.999.1
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6d62d024d1614fa1fa4f43bd39ee7bf0
Source1:	spfd.init
URL:		http://search.cpan.org/dist/Mail-SPF-Query/
%if %{with tests}
BuildRequires:	perl-Net-CIDR-Lite >= 0.15
BuildRequires:	perl-Net-DNS >= 0.33
BuildRequires:	perl-Sys-Hostname-Long
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-URI
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	perl(URI::Escape) >= 3.20
Requires:	perl-Net-CIDR-Lite >= 0.15
Requires:	perl-Net-DNS >= 0.33
Requires:	perl-Sys-Hostname-Long
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a daemon to query SPF records for email forgery
detection.

%description -l pl.UTF-8
Ten moduł jest implementacją demona sprawdzającego rekordy SPF w celu
wykrywania sfałszowanej poczty.

%package -n spfd
Summary:	SPF record checking daemon
Summary(pl.UTF-8):	Demon sprawdzający rekordy SPF
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description -n spfd
SPF record checking daemon, operating as a local resolver on
UNIX-domain sockets.

%description -n spfd -l pl.UTF-8
Demon sprawdzający rekordy SPF, działający jako lokalny resolver na
gniazdach uniksowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/spfd

# we prefer spfquery from perl-Mail-SPF
rm -rf $RPM_BUILD_ROOT{%{_bindir}/spfquery,%{_mandir}/man1/spfquery*}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n spfd
/sbin/chkconfig --add spfd
%service spfd restart "SPF daemon"

%preun -n spfd
if [ "$1" = "0" ]; then
	%service spfd stop
	/sbin/chkconfig --del spfd
fi

%files
%defattr(644,root,root,755)
%doc CHANGES README examples
%dir %{perl_vendorlib}/Mail/SPF
%{perl_vendorlib}/Mail/SPF/*.pm
%{_mandir}/man3/*

%files -n spfd
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spfd
%attr(754,root,root) /etc/rc.d/init.d/spfd
%{_mandir}/man1/spfd*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-SPF-Query.spec,v $
Revision 1.20  2007-05-10 15:11:12  adamg
- prefer spfquery from perl-Mail-SPF
- release 2

Revision 1.19  2007/03/23 11:27:48  radek
- release 1, killed -spfd-{host,detach}.patch -- noone cares

Revision 1.18  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.16  2006/08/23 13:01:49  radek
- BR: perl-Sys-Hostname-Long

Revision 1.15  2006/08/23 12:56:36  radek
- version 1.999.1
- release 0.1: if noone cares about patches, cvs rm before rel 1

Revision 1.14  2006/05/21 17:43:30  glen
- rel 5

Revision 1.13  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.12  2005/10/17 09:22:41  hawk
- release 4 (3 will be for Ra)

Revision 1.11  2005/09/29 23:29:33  aredridel
- added dep

Revision 1.10  2005/06/10 15:32:15  romke
- added patches for spfd:
  - new -host option for specifying ip to listen on,
  - detach from console,
- release 2, STBR

Revision 1.9  2004/11/30 22:00:05  zbyniu
- added PreReq: rc-scripts and Requires(): /sbin/chkconfig for daemon

Revision 1.8  2004/11/03 22:30:32  paladine
- formatting

Revision 1.7  2004/11/03 13:05:26  paladine
- spaces->tabs

Revision 1.6  2004/06/23 11:34:16  jajcus
- Version: 1.997

Revision 1.5  2004/05/28 20:22:12  ankry
- spfd.init fix, rel. 3

Revision 1.4  2004/04/23 06:22:06  ankry
- license fixes/unification

Revision 1.3  2004/01/15 14:27:28  qboosh
- pl, cleanups, missing dir and deps

Revision 1.2  2004/01/14 05:12:54  aredridel
- separated spfd
- added init script

Revision 1.1  2004/01/12 20:23:54  aredridel
- added
